Bug 39425 - catalina.policy & precompiled jsps
catalina.policy & precompiled jsps
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Jasper
5.5.20
Other other
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-04-27 09:03 UTC by Gernot
Modified: 2007-05-30 19:45 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gernot 2006-04-27 09:03:25 UTC
Precompiled JSPs needs following additional permission if running with
securitymanager:
permission java.util.PropertyPermission
"org.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER", "read";

Please add this line in the sample policy file (catalina.policy) or change the
code in org.apache.jasper.runtime.BodyContentImpl:
   private static final boolean LIMIT_BUFFER = 
Boolean.valueOf(System.getProperty("org.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER",
"false")).booleanValue();
Comment 1 Yoav Shapira 2006-12-25 05:01:05 UTC
I don't see LIMIT_BUFFER in the latest PageContextImpl, on either the Tomcat 5.0
or 5.5 branches.  Is this still needed?
Comment 2 Gernot 2006-12-26 22:58:28 UTC
(In reply to comment #1)
> I don't see LIMIT_BUFFER in the latest PageContextImpl, on either the Tomcat 5.0
> or 5.5 branches.  Is this still needed?

It's in class BodyContentImpl not in PageContextImpl.
The above source line wasn't in 5.5.9 - it has been added after 5.5.9, I've seen
it in 5.5.16, 5.5.17 and 5.5.20
Comment 3 Mark Thomas 2007-05-30 19:45:19 UTC
This has been fixed in svn and will be in 5.5.24 and 6.0.14 onwards.

Thanks for the report.